Qyra
ReferenceCatalog

Get metrics tree

Get the metrics tree structure

POST/api/v1/projects/{projectUuid}/dataCatalog/metrics/tree

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "metricUuids": [
    "string"
  ]
}

Responses

200 — Success

{
  "results": {
    "edges": [
      {
        "createdFrom": "ui",
        "projectUuid": "string",
        "createdByUserUuid": "string",
        "createdAt": "2024-01-01T00:00:00.000Z",
        "target": {
          "name": "string",
          "tableName": "string",
          "label": "string",
          "catalogSearchUuid": "string"
        },
        "source": {
          "name": "string",
          "tableName": "string",
          "label": "string",
          "catalogSearchUuid": "string"
        }
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}